Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018765
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-10-12 12:502011-11-12 15:48
ReporterrgorisView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisiona5cfc47000ab
ProjectionnoneETAnoneTarget Version3.0MP6
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018765: AND and OR logic does not work in column filter expressions

DescriptionQueries such as 0...100 and >200 are very useful and expected. In current version these do not work yet.
Steps To ReproduceTyping the above query in an amount column only takes the last bit (>200) and ignores the first bit.
Proposed Solutionimplement both AND and OR. It would be great if both lowercase and uppercase would do the same.
TagsOB3-Reviewed
Attached Filespng file icon Error.PNG [^] (75,570 bytes) 2011-10-25 09:35


png file icon and-does-not-work.png [^] (114,037 bytes) 2011-11-09 10:18

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0042000)
mtaal (developer)
2011-10-23 12:49

This bug only occurs in combination with the ... expression, so this expression works fine:
<3 or >5

Seems to be a bug or feature in Smartclient, I asked about it on the smartclient forum:
http://forums.smartclient.com/showthread.php?p=75008#post75008 [^]

gr. Martin
(0042081)
rgoris (developer)
2011-10-25 09:35
edited on: 2011-10-25 09:50

just tested and produces error for OR, see image.

This has to to with a bug in Smartclient for combining ranges and ORs. Fix is pending on their end so we keep this issue open till then.

http://forums.smartclient.com/showthread.php?t=19348 [^]

(0042083)
mtaal (developer)
2011-10-25 10:14

Move to mp6, will hopefully be solved when upgrading smartclient, if they see this as a bug.
(0042637)
hgbot (developer)
2011-11-05 23:37

Repository: erp/devel/pi
Changeset: 832f9c67f42b9439f71382819f1c1c2c3aa34122
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sat Nov 05 23:36:04 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/832f9c67f42b9439f71382819f1c1c2c3aa34122 [^]

Fixes issue 18841: Upgrade smartclient workaround issues
Fixes issue 18765: AND and OR logic does not work in column filter expressions

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0042663)
rgoris (developer)
2011-11-07 17:42

error seems to have gone but now the query (0...100 and >200) is ignored on ENTER
(0042668)
hgbot (developer)
2011-11-08 03:54

Repository: erp/devel/pi
Changeset: a5cfc47000ab75aa870971d66bf6f7b22ef3523f
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Nov 08 03:54:05 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a5cfc47000ab75aa870971d66bf6f7b22ef3523f [^]

Fixes issue 18765: AND and OR logic does not work in column filter expressions

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0042689)
rgoris (developer)
2011-11-09 10:18

error has gone, query is not ignored anymore...but now it just does not work, see attached image
(0042776)
hudsonbot (developer)
2011-11-12 15:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9752fe729257 [^]

Maturity status: Test
(0042783)
hudsonbot (developer)
2011-11-12 15:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9752fe729257 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-10-12 12:50 rgoris New Issue
2011-10-12 12:50 rgoris Assigned To => mtaal
2011-10-12 12:50 rgoris Modules => Core
2011-10-21 17:26 azabaleta Issue Monitored: azabaleta
2011-10-23 12:49 mtaal Note Added: 0042000
2011-10-24 18:54 jmon Issue Monitored: jmon
2011-10-25 09:35 rgoris Note Added: 0042081
2011-10-25 09:35 rgoris File Added: Error.PNG
2011-10-25 09:36 rgoris Status new => scheduled
2011-10-25 09:36 rgoris fix_in_branch => pi
2011-10-25 09:48 rgoris Note Edited: 0042081 View Revisions
2011-10-25 09:50 rgoris Note Edited: 0042081 View Revisions
2011-10-25 10:14 mtaal Note Added: 0042083
2011-10-25 10:14 mtaal Target Version 3.0MP5 => 3.0MP6
2011-10-25 10:14 mtaal fix_in_branch pi =>
2011-10-28 20:42 iciordia Tag Attached: OB3-Reviewed
2011-11-05 23:37 hgbot Checkin
2011-11-05 23:37 hgbot Note Added: 0042637
2011-11-05 23:37 hgbot Status scheduled => resolved
2011-11-05 23:37 hgbot Resolution open => fixed
2011-11-05 23:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/832f9c67f42b9439f71382819f1c1c2c3aa34122 [^]
2011-11-07 17:42 rgoris Note Added: 0042663
2011-11-07 17:47 rgoris Status resolved => new
2011-11-07 17:47 rgoris Resolution fixed => open
2011-11-08 03:54 hgbot Checkin
2011-11-08 03:54 hgbot Note Added: 0042668
2011-11-08 03:54 hgbot Status new => resolved
2011-11-08 03:54 hgbot Resolution open => fixed
2011-11-08 03:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/832f9c67f42b9439f71382819f1c1c2c3aa34122 [^] => http://code.openbravo.com/erp/devel/pi/rev/a5cfc47000ab75aa870971d66bf6f7b22ef3523f [^]
2011-11-09 10:18 rgoris File Added: and-does-not-work.png
2011-11-09 10:18 rgoris Note Added: 0042689
2011-11-09 10:18 rgoris Status resolved => new
2011-11-09 10:18 rgoris Resolution fixed => open
2011-11-09 12:59 rgoris Status new => scheduled
2011-11-09 12:59 rgoris fix_in_branch => pi
2011-11-09 12:59 rgoris Status scheduled => resolved
2011-11-09 12:59 rgoris Resolution open => fixed
2011-11-09 12:59 rgoris Status resolved => closed
2011-11-12 15:48 hudsonbot Checkin
2011-11-12 15:48 hudsonbot Note Added: 0042776
2011-11-12 15:48 hudsonbot Checkin
2011-11-12 15:48 hudsonbot Note Added: 0042783


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker